--Addons--
AddonsColor = {
	{
		FName = "Normal",
		r = 255, g = 255, b = 255,
	},
	{
		FName = "Black",
		r = 0, g = 0, b = 0,
	},
	{
		FName = "Gray",
		r = 192, g = 192, b = 192,
	},
	{
		FName = "Red",
		r = 255, g = 0, b = 0,
	},
	{
		FName = "Yellow",
		r = 255, g = 255, b = 0,
	},
	{
		FName = "Green",
		r = 0, g = 255, b = 0,
	},
	{
		FName = "Cyan",
		r = 000, g = 255, b = 255,
	},
	{
		FName = "Blue",
		r = 0, g = 0, b = 128,
	},
	{
		FName = "Pink",
		r = 255, g = 000, b = 255,
	},
}
Addons = {
	{
		No = 1,
		FName 	= "Wings",
		FPrice  = 100000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,				--top = 200 / 100
		FSpeed  = 5,
		health  = 10,
		wpn		= 2,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Blocker Game/bal2.bmp",
		FImageVIP = "",
		FVIPOnTop	= 200,
	},
	{
		No = 2,
		FName 	= "Car",
		FPrice  = 200000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 10,
		health  = 20,
		wpn		= 0,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Blocker Game/car_04.png",
		FImageVIP = "gfx/Blocker Game/car_vip.png",
		FVIPOnTop	= 100,
	},
	{
		No = 3,
		FName 	= "Horse",
		FPrice  = 300000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 100,
		FSpeed  = 10,
		health  = 10,
		wpn		= 51,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Blocker Game/horse.PNG",
		FImageVIP = "",
		FVIPOnTop	= 100,
	},
	{
		No = 4,
		FName 	= "Hero",
		FPrice  = 400000,
		r = 255, g = 255, b = 255,
		FIMGBlend=1, FIMGAlpha=0.8,
		FOnTop	= 100,
		FSpeed  = 15,
		health  = 30,
		wpn		= 3,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Blocker Game/sh_oval_3.png",
		FImageVIP = "",
		FVIPOnTop	= 100,
	},
	{
		No = 5,
		FName 	= "Tank",
		FPrice  = 500000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = -5,
		health  = 50,
		wpn		= 47,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Blocker Game/tank.bmp",
		FImageVIP = "",
		FVIPOnTop	= 200,
	},
	{
		No = 6,
		FName 	= "Dragon",
		FPrice  = 600000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 20,
		health  = 0,
		wpn		= 46,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Blocker Game/dragon.png",
		FImageVIP = "",
		FVIPOnTop	= 200,
	},
	{
		No = 7,
		FName 	= "Evil",
		FPrice  = 700000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 15,
		health  = 60,
		wpn		= 23,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Blocker Game/Evil.png",
		FImageVIP = "",
		FVIPOnTop	= 200,
	},
	{
		No = 8,
		FName 	= "Truck",
		FPrice  = 800000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 10,
		health  = 20,
		wpn		= 0,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/Blocker Game/3.png",

	},
	{
		No = 9,
		FName 	= "Santa",
		FPrice  = 1100000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 50,
		health  = 150,
		wpn		= 41,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/lord smiley/naddon/nsanta.png",
		FVIPOnTop	= 200,

	},
	{
		No = 10,
		FName 	= "Sport Car",
		FPrice  = 900000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 100,
		FSpeed  = 15,
		health  = 25,
		wpn		= 78,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/lord smiley/naddon/carsportsred.png",
		FImageVIP = "gfx/lord smiley/naddon/ferrari.png",
		FVIPOnTop	= 100,

	},		
	{
		No = 11,
		FName 	= "Pirate Hat",
		FPrice  = 1200000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 25,
		health  = 50,
		wpn		= 85,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/lord smiley/naddon/pirate_hat.png",
		FImageVIP = "",
		FVIPOnTop	= 200,

	},	
	{
		No = 12,
		FName 	= "Water Car",
		FPrice  = 1000000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 10,
		health  = 75,
		wpn		= 88,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/lord smiley/naddon/water+car.png",
		FImageVIP = "",
		FVIPOnTop	= 200,

	},	
	{
		No = 13,
		FName 	= "Orion MK II",
		FPrice  = 1300000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 50,
		health  = 50,
		wpn		= 48,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/lord smiley/naddon/orion mk ii.png",
		FImageVIP = "gfx/lord smiley/naddon/orion_mk_ii.png",
		FVIPOnTop	= 200,

	},	
	{
		No = 14,
		FName 	= "DC",
		FPrice  = 10000000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=1,
		FOnTop	= 200,
		FSpeed  = 25,
		health  = 150,
		wpn		= 45,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/lord smiley/naddon/dc.png",
		FImageVIP = "",
		FVIPOnTop	= 200,
	},	
	{
		No = 15,
		FName 	= "SlowPoke`s Tank",
		FPrice  = 5000000,
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 200,
		FSpeed  = 5,
		health  = 100,
		wpn		= 47,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "gfx/lord smiley/naddon/slowpokestank.png",
		FImageVIP = "",
		FVIPOnTop	= 200,
	},
	{
		No = 16,
		FName 	= "(More soon!",
		FPrice  = "0",
		r = 0, g = 0, b = 0,
		FIMGBlend=0, FIMGAlpha=0,
		FOnTop	= 0,
		FSpeed  = 0,
		health  = 0,
		wpn		= 0,
		FLic = Array(32, 0),
		FHave= Array(32, 0),
		FImage	= "",
		FImageVIP = "",
		FVIPOnTop	= 0,
	},
}

function InternalFreeImage(id)
     for k, v in pairs(Addons) do
          if v.FHave[id]==1 then
               freeimage(PicImage[id])
               v.FHave[id]=0
               parse("speedmod "..id.." 0")
               parse("setmaxhealth "..id.." 100")
               if v.wpn~=0 and checkwep(id,v.wpn)==1 then
                    parse("strip "..id.." "..v.wpn)
               end
               return true
          end
     end
     return false
end

function InternalFreeAddons(id)
     for k, v in pairs(Addons) do
          if v.FHave[id]==1 then InternalFreeImage(id) end
          v.FHave[id]=0
          v.FLic[id]=0
     end
end

function SetAddons(id,isTrue)
     for k, v in ipairs(Addons) do
          v.FLic[id]=isTrue
     end
end

function CreateAddonsMenu(id,page)
     local TmpStr=""
     local howMany=0
     page=page or 1
     for k,v in pairs(Addons) do
          if k>=page*7-6 and k<=page*7 then
               howMany=howMany+1
               if v.FLic[id]==1 then
                    TmpStr=TmpStr..v.FName.."|"..AddonsCheck(id,k)..","
               else
                    TmpStr=TmpStr.."("..v.FName.."|"..AddonsCheck(id,k).."),"
               end
          end
     end
     if howMany<7 then
          TmpStr=TmpStr..string.rep(",",math.abs(howMany-7))
     end
     local back="Back|Page "..(page-1)
     if Page[id]==1 then
          back="Back"
     end
     menu(id,"Add-ons Menu,"..TmpStr..back..",Next|Page "..Page[id]+1)
end

function CreateAddonsSell(id,page)
     local TmpStr=""
     local howMany=0
     page=page or 1
     for k,v in pairs(Addons) do
          if k>=page*7-6 and k<=page*7 then
               howMany=howMany+1
               if v.FLic[id]==0 then
                    TmpStr=TmpStr..v.FName.."|"..v.FPrice..","
               else
                    TmpStr=TmpStr.."("..v.FName.."|"..AddonsCheck(id,k).."),"
               end
          end
     end
     if howMany<7 then
          TmpStr=TmpStr..string.rep(",",7-howMany)
     end
     local back="Back|Page "..(page-1)
     if Page[id]==1 then
          back="Back"
     end
     menu(id,"Buy Add-ons,"..TmpStr..back..",Next|Page "..Page[id]+1)
end

function CreateAddonsColor(id)
     local TmpStr=""
     for k, v in ipairs(AddonsColor) do
          TmpStr = TmpStr..v.FName..","
     end
     menu(id,"Add-ons Color,"..TmpStr)
end

function RemoveTemporaryAddons(id)
     for k, v in pairs(Addons) do
          if v.FHave[id]==1 then
               if (v.wpn > 0) and (checkwep(id,v.wpn)==1) then
                    parse("strip "..id.." "..v.wpn)
               end
               if (player(id,"maxhealth") > 100) then
                    parse("setmaxhealth "..id.." 100")
               end
          end
     end
end

function selAddonsColor(id,sel)
     local playerHealth = player(id,"health")
     if      playerHealth>0 then
          for k, v in ipairs(Addons) do
               if v.FHave[id]==1 then
                    local getPlayerHealth=player(id,"health")
                    InternalFreeImage(id)
                    v.FHave[id]=1
                    if v.wpn>0 then parse("equip "..id.." "..v.wpn) end
                    parse("speedmod "..id.." "..v.FSpeed)
                    parse("setmaxhealth "..id.." "..player(id,"maxhealth")+v.health)
                    if (rp_vipaddons[id]==1) and (v.FImageVIP~="") then
                         PicImage[id]=image(v.FImageVIP,1,1,v.FVIPOnTop+id)          
                    else
                         PicImage[id]=image(v.FImage,1,1,v.FOnTop+id)                         
                    end
                    imagecolor(PicImage[id],AddonsColor[sel].r,AddonsColor[sel].g,AddonsColor[sel].b)
                    if v.FIMGBlend>0 then
                         imageblend(PicImage[id],v.FIMGBlend)
                    end
                    if v.FIMGAlpha>0 then
                         imagealpha(PicImage[id],v.FIMGAlpha)
                    end
                    parse("sethealth "..id.." "..getPlayerHealth)
               end
          end
     end
end

function SelAddonsMenu(id,sel)
     sel=sel-7
     if player(id,"health")>0 then
          if  Addons[sel].FLic[id] == 1 then
               if Addons[sel].FHave[id] == 1 then
                    InternalFreeImage(id)
                    parse("speedmod "..id.." 0")
               else
                    InternalFreeImage(id)
                    Addons[sel].FHave[id]=1
                    if (rp_vipaddons[id]==1) and (Addons[sel].FImageVIP~="") then
                         PicImage[id]=image(Addons[sel].FImageVIP,1,1,Addons[sel].FVIPOnTop+id)          
                    else
                         PicImage[id]=image(Addons[sel].FImage,1,1,Addons[sel].FOnTop+id)                         
                    end
                    if (Addons[sel].r > 0) or (Addons[sel].g > 0) or (Addons[sel].b > 0) then
                         imagecolor(PicImage[id],Addons[sel].r,Addons[sel].g,Addons[sel].b)
                    end     
                    if Addons[sel].FIMGBlend>0 then
                         imageblend(PicImage[id],Addons[sel].FIMGBlend)
                    end
                    if Addons[sel].FIMGAlpha>0 then
                         imagealpha(PicImage[id],Addons[sel].FIMGAlpha)
                    end
                    parse("speedmod "..id.." "..Addons[sel].FSpeed)
                    if Addons[sel].wpn > 0 then
                         parse("equip "..id.." "..Addons[sel].wpn)
                         parse("setweapon "..id.." "..Addons[sel].wpn)                         
                    end
                    local getPlayerHealth=player(id,"health")
                    parse("setmaxhealth "..id.." "..Addons[sel].health+100)
                    parse("sethealth "..id.." "..getPlayerHealth+Addons[sel].health)
               end
          end
     end
end

function AddonsCheck(id,addonsID)
     if Addons[addonsID].FLic[id]==1 then
          if Addons[addonsID].FHave[id]==1 then
               return "On"
          else
               return "Off"
          end
     else
          return "Not Avaliable"
     end
end