function Array(size,value) 
	local array = {}
	for i = 1, size do
		array[i]=value
	end
	return array
end


function totable(t,match)
	local cmd = {}
	if not match then match = "[^%s]+" end
	for word in string.gmatch(t, match) do
		table.insert(cmd, word)
	end 
	return cmd 
end

function InternalFreeImage(id)
	for k, v in ipairs(Addons) do
		if v.FHave[id]==1 then
			freeimage(PicImage[id])
			v.FHave[id]=0		
		end
	end
end

function isVIP(usgn)
	local filename = "sys/lua/IF/vip.newext"
	local file = io.open(filename)
	if file then
		for line in file:lines() do
			local parses = totable(line)
			if tonumber(parses[1]) ~= nil then
				if usgn==tonumber(parses[1]) then
					return 1
				end
			end
		end
		if file ~= nil then
			file:close()
		end
	end		
	return 0
end

function isAdmin(usgn)
	local filename = "sys/lua/IF/Admins.newext"
	local file = io.open(filename)
	if file then
		for line in file:lines() do
			local parses = totable(line)
			if tonumber(parses[1]) ~= nil then
				if usgn==tonumber(parses[1]) then
					if tonumber(parses[2]) ~= nil then
						return tonumber(parses[2])
					else
						return 1
					end
				end
			end
		end
		if file ~= nil then
			file:close()
		end
	end		
	return 0
end

function rp_msg(clr,txt)
	msg(string.char(169)..""..clr..""..txt)
end

function rp_msg2(id,clr,txt)
	msg2(id,string.char(169)..""..clr..""..txt)
end

function hudtext2(id,tid,color,txt,x,y)
     local toprint = (string.char(169)..""..color..""..txt)
     parse('hudtxt2 '..id..' '..tid..' "'..toprint..'" '..x.." "..y)
end

	function updatejobhud(id)
		if rp_police[id]==true then
			parse('hudtxt2 '..id..' "30" "\169000255255-Job: Police" "230" "430"')
				elseif rp_doctor[id]==true then
			parse('hudtxt2 '..id..' "30" "\169192192192-Job: Doctor" "230" "430"')
				elseif rp_criminal[id]==true then
			parse('hudtxt2 '..id..' "30" "\169255000000-Job: Criminal" "230" "430"')
				elseif rp_criminal[id]==false and rp_police[id]==false and rp_doctor[id]==false then
			parse('hudtxt2 '..id..' "30" "\169255255255-Job: NONE" "230" "430"')
		end
	end
	
	function tpjob(id)
		if rp_police[id]==true then
				parse("setpos "..id.." 80 2352")
		elseif rp_doctor[id]==true then
				parse("setpos "..id.." 1712 2032")
		elseif rp_criminal[id]==true then
				parse("setpos "..id.." 843 173")
		elseif rp_criminal[id]==false and rp_police[id]==false and rp_doctor[id]==false then
		end
	end
	
function charea(id,ab)
	local XPlayer = player(id,"tilex")
	local YPlayer = player(id,"tiley")
	if (XPlayer >= ab[1][1] and XPlayer <= ab[2][1] and YPlayer >= ab[1][2] and YPlayer <= ab[2][2]) then
		return true
	end
	return false
end

function removeitem(itemid)
	parse("removeitem "..itemid)
end

function nmn(id)
	rp_msg2(id,"255255000","[Server]: \169255000000Not enough money.")
end	
	
	
function mlicense(id)
	rp_msg2(id,"255255000","[Server]: \169255000000You must have a license to do this.")
end

function mlicense2(id)
	rp_msg2(id,"255255000","[Server]: \169255000000You can't build this.")
end

function checkwep(id,wep)
     local weapons = playerweapons(id)
     for i = 1, #weapons do
          if weapons[i] == wep then
               return 1
          end
     end
     return 0
end

pl_names = Array(32,"")
function b_names()
	for i = 1,32 do
		if player(i,"exists") then
			pl_names[i]=player(i,"name")
		else
			pl_names[i]=""
		end
	end
end

function ls_1(id)
	b_names()
	menu(id,"License System Page 1@b,"..pl_names[1]..","..pl_names[2]..","..pl_names[3]..","..pl_names[4]..","..pl_names[5]..","..pl_names[6]..","..pl_names[7]..",Back,Next")
end

function ls_2(id)
	b_names()
	menu(id,"License System Page 2@b,"..pl_names[8]..","..pl_names[9]..","..pl_names[10]..","..pl_names[11]..","..pl_names[12]..","..pl_names[13]..","..pl_names[14]..",Back,Next")
end

function ls_3(id)
	b_names()
	menu(id,"License System Page 3@b,"..pl_names[15]..","..pl_names[16]..","..pl_names[17]..","..pl_names[18]..","..pl_names[19]..","..pl_names[20]..","..pl_names[21]..",Back,Next")
end

function ls_4(id)
	b_names()
	menu(id,"License System Page 4@b,"..pl_names[22]..","..pl_names[23]..","..pl_names[24]..","..pl_names[25]..","..pl_names[26]..","..pl_names[27]..","..pl_names[28]..",Back,Next")
end

function ls_5(id)
	b_names()
	menu(id,"License System Page 5@b,"..pl_names[29]..","..pl_names[30]..","..pl_names[31]..","..pl_names[32]..",,,,Back,Start")
end

function ls_6(id)
b_names()
	menu(id,"CT Menu,Server Setup,Teleport,License System,Commands,Add on,VIP,Settings")
end

if title=="License System Page 5@b" then
          if button==5 then
          ls_4(id)
          elseif button==6 then
               ls_1(id)
          end
end

function StateUser(id)
	if id~=nil then
		if player(id,"exists") then
			if UsgnIds[id]>=0 then
				hudtext2(id,id+1,"255255255",""..UsgnIds[id],530,265)
			else
				hudtext2(id,id+1,"255255255","0",530,265)
			end
			updatehud(id)
		end
	end
end

function mpchangea(id)
	parse("sv_map "..mapa)
end
function mpchangeb(id)
	parse("sv_map "..mapb)
end
function mpchangec(id)
	parse("sv_map "..mapc)
end

function checkmap()
	if map("name") == mapa then
	Config = Configa
	print("ConfigA loaded")
	elseif map("name") == mapb then
	Config = Configb
	print("ConfigB loaded")
	elseif map("name") == mapc then
	Config = Configb
	print("ConfigC loaded")
	else
	print("Error! Config not loaded.")
	end
end

function rc(id,txt)
rp_msg("128128128Warning, \187Unknown\171 ",player(id,"name").." has joined the server.@C")
end
function rc2(id,txt)
rp_msg("128128128\187Unknown\171 ",player(id,"name")..":\169255255255 "..txt)
end

function CreateAddonsSetting(id)
	menu(id,"Add on,Add on Color")
end

function ParseCommand(id,txt)
	local p = totable(txt)
	local cmd = tostring(p[1])
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			if cmd =="!money" then
				if rp_Adminlevel[id] >= money_lv then
					local pl = tonumber(p[2])
					local money = tonumber(p[3])	
					if money == "nan" or money == "inf" or money == "-nan" or money == "-inf" then
						rp_msg2(id,"255255000","[Server]: \169255000000You can't do that.")
					else
						if pl ~= nil and player(pl,"exists") then
							if money ~= nil then
								rp_money[pl]=rp_money[pl]+money
								if rp_hidden[id]==false then
									rp_msg2(pl,"255255000","[Server]: \169000255000"..player(id,"name").." gave you "..money.."$")
								end
								rp_msg2(id,"255255000","[Server]: \169000255000You gave "..money.." to "..player(pl,"name"))
								updatehud(pl)
							else
								rp_msg2(id,"255255000","[Server]: \169255000000You did not enter amount of money.")
							end
						else
							rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
						end
					end
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
				end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd =="!exp" then
				if rp_Adminlevel[id] >= exp_lv then
					local pl = tonumber(p[2])
					local exp2 = tonumber(p[3])
					if exp2 == "nan" or exp2 == "inf" or exp2 == "-nan" or exp2 == "-inf" then
						rp_msg2(id,"255255000","[Server]: \169255000000You can't do that.")
					else
						if pl ~= nil and player(pl,"exists") then
							if exp2 ~= nil then
								cs_exp[pl]=cs_exp[pl]+exp2
								if rp_hidden[id]==false then
									rp_msg2(pl,"255255000","[Server]: \169000255000"..player(id,"name").." gave you "..exp2.." EXP Points")
								end
								rp_msg2(id,"255255000","[Server]: \169000255000You gave "..exp2.." EXP Points to "..player(pl,"name"))
								updatehud(pl)
							else
								rp_msg2(id,"255255000","[Server]: \169255000000You did not enter amount of exp.")
							end
						else
							rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
						end
					end
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
				end	
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd =="!transfer" then
			local pl = tonumber(p[2])
			local mny = tonumber(p[3])
			if mny<0 or mny == "nan" or mny == "inf" or mny == "-nan" or mny == "-inf" then
				rp_msg2(id,"255255000","[Server]: \169255000000You can't do that.")
			else
				if pl ~= nil and player(pl,"exists") then
					if mny ~= nil then
						if rp_money[id] >= mny then
							rp_money[id]=rp_money[id]-mny
							rp_money[pl]=rp_money[pl]+mny
						if rp_hidden[id]==false then
							rp_msg2(pl,"255255000","[Server]: \169000255000"..player(id,"name").." gave you "..mny.."$.")
						end
							rp_msg2(id,"255255000","[Server]: \169000255000You gave "..mny.."$ to "..player(pl,"name")..".")
							updatehud(pl)
							updatehud(id)
						else
							rp_msg2(id,"255255000","[Server]: \169255000000You dont have enough money.")
						end
					else
						rp_msg2(id,"255255000","[Server]: \169255000000You did not enter amount of money.")
					end
				else
					rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
				end
			end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd == "!speed" then
				if rp_Adminlevel[id] >= speed_lv then
					local pl = tonumber(p[2])
					local speed = tonumber(p[3])
					if pl ~= nil and player(pl,"exists") then
						if speed ~= nil then
							parse("speedmod "..pl.." "..speed)
							rp_msg2(id,"255255000","[Server]: \169000255000You set "..player(pl,"name").."'s speed to "..speed)
							if rp_hidden[id]==false then
								rp_msg2(pl,"255255000","[Server]: \169000255000"..player(id,"name").." has set your speed to: "..speed)
							end
						else
							rp_msg2(id,"255255000","[Server]: \169255000000You did not enter amount of speed.")
						end
					else
						rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")	
					end
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
				end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd == "!kill" then
			if rp_Adminlevel[id] >= kill_lv then
				local pl = tonumber(p[2])
					if pl ~= nil and player(pl,"exists") then
						parse("killplayer "..pl)
						rp_msg2(id,"255255000","[Server]: \169255000000You killed "..player(pl,"name"))
						if rp_hidden[id]==false then
							rp_msg2(pl,"255255000","[Server]: \169255000000You got killed by "..player(id,"name")..".")
						end
					else
						rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")	
					end
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
				end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd == "!fix" then
				if rp_Adminlevel[id] >= fix_lv then
					local pl = tonumber(p[2])
					if pl ~= nil and player(pl,"exists") then
						if rp_Adminlevel[id] > rp_Adminlevel[pl] then
							gmode[pl]=0
							rp_msg2(id,"255255000","[Server]: \169000255000"..player(pl,"name").." is now fixed")
						else
							rp_msg2(id,"255255000","[Server]: \169255000000You can't fix someone above your level.")
						end
					else
						rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")	
					end
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
				end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd == "!ban" then
				if rp_Adminlevel[id] >= ban_lv then
					local pl = tonumber(p[2])
					local banPassword = tostring(p[3])
					if pl ~= nil then
						if rp_Adminlevel[pl] < rp_Adminlevel[id] then
							if banPassword == vc_banpassword then
								if player(pl,"exists") then
									local ip = player(pl, "ip")
									local usgn = player(pl, "usgn")
									local name = player(pl, "name")
									if rp_hidden[id]==false then
										rp_msg("255255000","[Server]: \169255000000"..player(id,"name").." has banned "..player(pl,"name"))
									end
									print("\169255255000Banned player information: IP: ".. player(pl, "ip") ..", USGN: " .. player(pl, "usgn"))
									msg2(id,"\169255255000Banned player information: IP: ".. player(pl, "ip") ..", USGN: " .. player(pl, "usgn"))
									if ip then
											parse("banip "..ip)
									end
									if usgn and usgn ~= 0 then
										parse("banusgn "..usgn)
									end
									if name and name ~= Player then
										parse("banname "..name)
									end
								end
							else
								rp_msg2(id,"255255000","[Server]: \169255000000You entered a wrong password.")
								print(player(id, "name") .." IP: ".. player(id, "ip").." has entered a wrong password for the ban command: ".. banPassword)
							end
						else
							rp_msg2(id,"255255000","[Server]: \169255000000You can't ban someone above your level.")
						end
					else
						rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
					end
					rp_msg2(id,"255255000","[Server]: \169000255000Your !ban command was received.")
					return 1
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
				end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd == "!check" then
			if rp_vip[id] >= 1 or rp_Adminlevel[id] >= 1 then
				local pl = tonumber(p[2])
				if pl ~= nil and player(pl,"exists") then
					rp_msg2(id,"255255255","--------------------------------------------------")
					rp_msg2(id,"000255000","Name    > "..player(pl,"name"))
					rp_msg2(id,"000255000","USGN    > "..player(pl,"usgn"))
					rp_msg2(id,"000255000","IP          > "..player(pl,"ip"))
					rp_msg2(id,"000255000","Money   > "..rp_money[pl])
					rp_msg2(id,"000255000","Speed   > "..player(pl,"speedmod"))
					rp_msg2(id,"000255000","Position > "..player(pl,"x")..","..player(pl,"y"))
					rp_msg2(id,"000255000","Level     > "..cs_level[pl])		
					rp_msg2(id,"000255000","EXP       > "..cs_exp[pl])
					if rp_license[pl] == 0 then
						rp_msg2(id,"000255000","Grade    > Citizen")
					elseif 	rp_license[pl] >= 1 and rp_vip[pl] == 0 and rp_Adminlevel[pl] == 0 then
						rp_msg2(id,"000255000","Grade    > Licensed")
					elseif 	rp_vip[pl] == 1 and rp_Adminlevel[pl]==0 then
						rp_msg2(id,"000255000","Grade    > "..vip_say)
					elseif 	rp_ct[pl] == 1 and rp_Adminlevel[pl] == 0 then
						rp_msg2(id,"000255000","Grade    > CT")
					elseif 	rp_Adminlevel[pl] == 1 then
						rp_msg2(id,"000255000","Grade    > "..admin_saylv1)
					elseif 	rp_Adminlevel[pl] == 2 then
						rp_msg2(id,"000255000","Grade    > "..admin_saylv2)
					elseif 	rp_Adminlevel[pl] == 3 then
						rp_msg2(id,"000255000","Grade    > "..admin_saylv3)
					elseif 	rp_Adminlevel[pl] == 4 then
						rp_msg2(id,"000255000","Grade    > "..admin_saylv4)
					elseif 	rp_Adminlevel[pl] == 5 then
						rp_msg2(id,"000255000","Grade    > "..admin_saylv5)
					else
						if rp_ct[pl]==true then
							rp_msg2(id,"000255000","Grade    > ERROR [404] NOT FOUND \169255000000RPAL: "..rp_Adminlevel[pl].." RPV: "..rp_vip[pl].." RPL: "..rp_license[pl].." RPCT: true")
						else
							rp_msg2(id,"000255000","Grade    > ERROR [404] NOT FOUND \169255000000RPAL: "..rp_Adminlevel[pl].." RPV: "..rp_vip[pl].." RPL: "..rp_license[pl].." RPCT: false")
						end
					end
					rp_msg2(id,"255255255","--------------------------------------------------")
				else
					rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
				end
			else
				rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
			end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd == "!hide" then
				if rp_Adminlevel[id]>=hide_lv then
					if rp_hidden[id] == false then
						rp_hidden[id] = true
						rp_msg2(id,"255255000","[Server]: \169000255000You are now hidden.")
					else
						rp_hidden[id] = false
						rp_msg2(id,"255255000","[Server]: \169255000000You are no longer hidden.")
					end
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
				end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd == "!vip" then
				if rp_Adminlevel[id] >= vip_lv then
					local pl = tonumber(p[2])
					if pl ~= nil and player(pl,"exists") then
						rp_license[pl]=2
						rp_vip[pl]=1
						updatehud(pl)
						fname = "sys/lua/IF/vip.newext"
						file = io.open(fname, "a")
						file:write(player(pl, "usgn").."\n")
						file:close()
						rp_msg2(id,"255255000","[Server]: \169000255000He is now a VIP User.")
						rp_msg2(pl,"255255000","[Server]: \169000255000You are now a VIP User.")
					else
						rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
					end
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
				end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
		elseif cmd == "!remove" then
			if rp_Adminlevel[id]>= remove_lv then
				local pl = tonumber(p[2])
				if pl ~= nil and player(pl,"exists")then
					parse("speedmod "..pl.." 0")
					parse("setmaxhealth "..pl.." 100")
					InternalFreeImage(pl)
					rp_msg2(id,"255255000","[Server]: \169000255000Add-on removed.")
				else
					rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
				end
			else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
			end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd =="!arrest" then
				if rp_Adminlevel[id] >= arrest_lv then
					local pl = tonumber(p[2])
					local cell = tonumber(p[3])
					if pl ~= nil and player(pl,"exists") then
						if cell == 1 then
							parse("setpos "..pl.." "..Config.AP[1][1].." "..Config.AP[1][2])						parse("killplayer "..pl)
						elseif cell == 2 then
							parse("setpos "..pl.." "..Config.AP[2][1].." "..Config.AP[2][2])						parse("killplayer "..pl)
						elseif cell == 3 then
							parse("setpos "..pl.." "..Config.AP[3][1].." "..Config.AP[4][2])						parse("killplayer "..pl)
						elseif cell == 4 then
							parse("setpos "..pl.." "..Config.AP[4][1].." "..Config.AP[5][2])						parse("killplayer "..pl)
						elseif cell == 5 then
							parse("setpos "..pl.." "..Config.AP[5][1].." "..Config.AP[5][2])						parse("killplayer "..pl)
						elseif cell == 6 then
							parse("setpos "..pl.." "..Config.AP[6][1].." "..Config.AP[6][2])						parse("killplayer "..pl)
						else
							rp_msg2(id,"255255000","[Server]: \169255000000You did not enter a cell.")
						end
						rp_arrest[pl]=true
					else
						rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
					end	
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
				end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd =="!free" then
				if rp_Adminlevel[id] >= free_lv then
					local pl = tonumber(p[2])
					if pl ~= nil and player(pl,"exists") then
						rp_arrest[pl]=false
						parse("setpos "..pl.." "..Config.FP[1].." "..Config.FP[2])
					else
						rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
					end	
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
				end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
				elseif cmd == "!ct" then
				if rp_Adminlevel[id] >= makect_lv then
					local pl = tonumber(p[2])
					if pl ~= nil and player(pl,"exists") then
						rp_msg2(pl,"255255000","[Server]: \169000255000You can now join the CT forces.")
						rp_msg2(id,"255255000","[Server]: \169000255000He can now join the CT forces.")
						rp_ct[pl] = true
						parse("makect "..pl)
					else
						rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
					end	
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")				
				end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd == "!unct" then
				if rp_Adminlevel[id] >= unmakect_lv then
					local pl = tonumber(p[2])
					if pl ~= nil and player(pl,"exists") then
						rp_msg2(pl,"255255000","[Server]: \169255000000You can no longer join the CT forces.")
						rp_msg2(id,"255255000","[Server]: \169255000000He can no longer join the CT forces.")
						rp_ct[pl] = false
						parse("maket "..pl)
					else
						rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
					end	
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")	
				end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd =="!bring" then
				if rp_Adminlevel[id] >= bring_lv then
					local pl = tonumber(p[2])
					if pl ~= nil and player(pl,"exists") then
						parse("setpos "..pl.." "..player(id,"x").." "..player(id,"y"))
					else
						rp_msg2(id,"255255000","[Server Error]: \169255000000This player does not exist.")
					end
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
				end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd =="!bringall" then
				if rp_Adminlevel[id] >= bring_all_lv then
					for pl = 1,32 do
						if player(pl,"exists") then
							parse("setpos "..pl.." "..player(id,"x").." "..player(id,"y"))
						end
					end
				else
					rp_msg2(id,"255255000","[Server]: \169000255000You don't have permission.")
				end	
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
elseif cmd =="!moneyall" then
	local moneyall = tonumber(p[2])			
	if moneyall<0 or moneyall == "nan" or moneyall == "inf" or moneyall == "-nan" or moneyall == "-inf" then
		rp_msg2(id,"255255000","[Server]: \169255000000You can't do that.")
	else
		if rp_Adminlevel[id] >= money_all_lv then
			if moneyall ~= nil then
				if moneyall <= 100000 then
					if moneyall >= -100000 then
						if moneyall > 0 then
							for k,v in pairs (player(0,"tableliving")) do
								rp_money[v]=rp_money[v]+moneyall
								updatehud(v)
							end
							msg2(id,"\169255255000[Server]: \169000255000Everyone gained "..moneyall..".")
						elseif moneyall==0 then
							rp_msg2(id,"255255000","[Server]: \169255000000You didn't enter amount of money.")
						elseif moneyall<0 then
							for k,v in pairs (player(0,"tableliving")) do
								rp_money[v]=rp_money[v]+moneyall
								updatehud(v)
							end
								msg2(id,"\169255255000[Server]: \169255000000Everyone lost "..moneyall..".")
						end
					else
						rp_msg2(id,"255255000","[Server]: \169255000000You can't take more than 100000 at once.")
					end
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You can't give more than 100000 at once.")
				end
			else
				rp_msg2(id,"255255000","[Server]: \169255000000You didn't enter amount of money.")
			end
		else
			rp_msg2(id,"255255000","[Server]: \169000255000You don't have permission.")
		end
	end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd == "!heal" then
				if rp_Adminlevel[id] >= heal_lv then	
					parse("spawnitem 64 "..player(id,"tilex").." "..player(id,"tiley"))
					local x = player(id,"x")
					local y = player(id,"y")
					parse("setpos "..id.." 0 0")
					parse("setpos "..id.." "..x.." "..y)
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")	
				end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd == "!goto" then
				if rp_Adminlevel[id] >= goto_lv then
					local pl = tonumber(p[2])
					if pl ~= nil and  player(pl,"exists") then
						parse("setpos "..id.." "..player(pl,"x").." "..player(pl,"y"))
					else
						rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
					end
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
				end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd == "!kick" then
				if rp_Adminlevel[id] >= kick_lv then
					local pl = tonumber(p[2])
					local kickPassword = tostring(p[3])
					if pl ~= nil and player(pl,"exists") then
						if rp_Adminlevel[id] > rp_Adminlevel[pl] then
							if kickPassword == vc_kickpassword then
								if rp_hidden[id]==false then
									rp_msg("255255000","[Server]: \169255000000"..player(id,"name").." has kicked "..player(pl,"name"))
								end
								print("\169255255000Kicked player information: IP: ".. player(pl, "ip") ..", USGN: " .. player(pl, "usgn"))
								parse("kick "..pl)
							else
								rp_msg2(id,"255255000","[Server]: \169255000000You entered a wrong password.")
								print(player(id, "name") .." IP: ".. player(id, "ip").." has entered a wrong password for the kick command: ".. kickPassword)
							end				
						else
							rp_msg2(id,"255255000","[Server]: \169255000000You can't kick someone above your level.")
						end
					else
						rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
					end
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
				end
			rp_msg2(id,"255255000","[Server]: \169000255000Your !kick command was received.")
			return 1
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd == "!slap" then
				if rp_Adminlevel[id] >= slap_lv then
					local pl = tonumber(p[2])
					if pl ~= nil and  player(pl,"exists") then
						--rp_msg("255255000","[Server]: \169255000000"..player(id,"name").." has slapped "..player(pl,"name"))
						parse("slap "..pl)
					else
						rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
					end
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")	
				end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd == "!update" then
				if rp_Adminlevel[id] >= update_lv then
					msg("\169000255000Updating server files in 10 seconds.@C")
					timer(1000,"parse","sv_msg \16925525525510@C")
					timer(2000,"parse","sv_msg \1692552552559@C")
					timer(3000,"parse","sv_msg \1692552552558@C")
					timer(4000,"parse","sv_msg \1692552552557@C")
					timer(5000,"parse","sv_msg \1692552552556@C")
					timer(6000,"parse","sv_msg \1692552552555@C")
					timer(7000,"parse","sv_msg \1692552552554@C")
					timer(8000,"parse","sv_msg \1692552552553@C")
					timer(9000,"parse","sv_msg \1692552552552@C")
					timer(10000,"parse","sv_msg \1692552552551@C")
					timer(11000,"parse","map "..game("sv_map"))
					servershutdown=true
					for id=1,32 do
						if player(id,"exist") then
							empty(id)
							updatehud(id)
						end
					end
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")	
				end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd == "!spawn" then
				if rp_Adminlevel[id] >= spawn_lv then
				local pl = tonumber(p[2])
					if pl ~= nil and player(pl,"exists") then
						if player(pl,"health") <= 0 then
							parse("spawnplayer "..pl)
							parse("setpos "..pl.." "..player(id,"x").." "..player(id,"y"))
							msg2(id,"\169255255000[Server]: \169000255000You have spawned "..player(pl,"name")..".")
						else
							rp_msg2(id,"255255000","[Server]: \169255000000This player is already alive.")
						end
					else
						rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
					end
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")   
				end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd == "!tempban" then
			if rp_Adminlevel[id] >= tempban_lv then
			local pl = tonumber(p[2])
			local time = tonumber(p[3])
			local pw = tostring(p[4])
				if pl ~= nil and player(pl,"exists") then
					if rp_Adminlevel[id] > rp_Adminlevel[pl] then
						if time ~= nil then
							if time <= 1440 then
								if pw == vc_tempbanpassword then
									if rp_hidden[id]==false then
										rp_msg("255255000","[Server]: \169255000000"..player(id,"name").." has banned "..player(pl,"name").." for "..time.." minutes.")
									end
									local ip = player(pl, "ip")
									local usgn = player(pl, "usgn")
									local name = player(pl, "name")
									print("\169255255000Temp Banned player information: IP: ".. player(pl, "ip") ..", USGN: " .. player(pl, "usgn"))
									msg2(id,"\169255255000Temp Banned player information: IP: ".. player(pl, "ip") ..", USGN: " .. player(pl, "usgn"))
									if ip then
											parse("banip "..ip.." "..time)
									end
									if usgn and usgn ~= 0 then
										parse("banusgn "..usgn.." "..time)
									end
									if name and name ~= Player then
										parse("banname "..name.." "..time)
									end
								else
									rp_msg2(id,"255255000","[Server]: \169255000000You entered a wrong password.")
									print(player(id, "name") .." IP: ".. player(id, "ip").." has entered a wrong password for the tempban command: ".. pw)
								end
							else
								rp_msg2(id,"255255000","[Server]: \169255000000You can't enter more than 1 day.")
							end
						else
							rp_msg2(id,"255255000","[Server]: \169255000000You need to enter time.")	
						end
					else
						rp_msg2(id,"255255000","[Server]: \169255000000You can't ban someone above your level.")
					end
				else
					rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
				end
			else
				rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")	
			end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
			elseif cmd == "!mute" then
				if rp_Adminlevel[id] >= mute_lv then
					local pl = tonumber(p[2])
					local time = tonumber(p[3])
					if pl ~= nil and player(pl,"exists") then
						if time ~= nil then
							if time <= 3600 then
								if 	rp_mute[pl] == false then
									if rp_hidden[id]==false then
										rp_msg("255255000","[Server]: \169255000000"..player(id,"name").." has muted "..player(pl,"name").." for "..time.." seconds.")
									end
									rp_mute[pl]=true
									milliseconds = time * 1000
									milliseconds = milliseconds - 1
									timer(milliseconds,"unmute",pl)
								else
									rp_msg2(id,"255255000","[Server]: \169255000000This player is already muted.")
								end
							else
								rp_msg2(id,"255255000","[Server]: \169255000000You can't enter more than 1 hour.")
							end
						else
							rp_msg2(id,"255255000","[Server]: \169255000000You need to enter time.")	
						end
					else
						rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
					end
				else
					rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")	
				end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	elseif cmd == "!unmute" then
		if rp_Adminlevel[id] >= unmute_lv then
			local pl = tonumber(p[2])
			if pl ~= nil and player(pl,"exists") then
				if 	rp_mute[pl] == true then
					if rp_hidden[id]==false then
						rp_msg("255255000","[Server]: \169000255000"..player(id,"name").." has unmuted "..player(pl,"name"))
					end
					rp_mute[pl]=false
				else
					rp_msg2(id,"255255000","[Server]: \169255000000This player is not muted.")
				end
			else
				rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
			end
			else
				rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")	
			end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	elseif cmd == "!online" then
		if rp_Adminlevel[id]>= online_lv or rp_vip[id]>= 1 then
			for pl = 1,32 do
				if rp_Adminlevel[pl]==5 then
					if rp_hidden[pl]==true then
						if rp_Adminlevel[id]>=see_hidden_lv then
							msg2(id,"\169"..admin_sayco5.."[Hidden]- "..admin_saylv5.." - "..player(pl,"name"))
						end
					else
						msg2(id,"\169"..admin_sayco5.."- "..admin_saylv5.." - "..player(pl,"name"))
					end
				elseif rp_Adminlevel[pl]==4	then					
					if rp_hidden[pl]==true then
						if rp_Adminlevel[id]>=see_hidden_lv then
							msg2(id,"\169"..admin_sayco4.."[Hidden]- "..admin_saylv4.." - "..player(pl,"name"))
						end
					else
						msg2(id,"\169"..admin_sayco4.."- "..admin_saylv4.." - "..player(pl,"name"))
					end
				elseif rp_Adminlevel[pl]==3 then
					if rp_hidden[pl]==true then
						if rp_Adminlevel[id]>=see_hidden_lv then
							msg2(id,"\169"..admin_sayco3.."[Hidden]- "..admin_saylv3.." - "..player(pl,"name"))
						end
					else
						msg2(id,"\169"..admin_sayco3.."- "..admin_saylv3.." - "..player(pl,"name"))
					end
				elseif rp_Adminlevel[pl]==2 then
					msg2(id,"\169"..admin_sayco2.."- "..admin_saylv2.." - "..player(pl,"name"))
				elseif rp_Adminlevel[pl]==1 then
					msg2(id,"\169"..admin_sayco1.."- "..admin_saylv1.." - "..player(pl,"name"))
				elseif rp_vip[pl]==1 then
					msg2(id,"\169"..vip_sayco.."- "..vip_say.." - "..player(pl,"name"))
				end
			end
		else
			rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
		end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	elseif cmd == '!vm' then
		local function isOnlyVIP(playerid)
		if rp_Adminlevel[playerid] == 1 or rp_vip[playerid] == 1 and rp_Adminlevel[playerid]==0 then
			return true
		end
			return false
		end
		if isOnlyVIP(id) then
			local text = ''
			for i = 2, #p do
				text = text..' '..p[i]
			end
			for _, i in pairs(player(0,'table')) do
				if isOnlyVIP(i) then
					msg2(i,'\169198198198VM | '..player(id,'name')..':'..text)
				end
			end
		else
			rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
		end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	elseif cmd == '!mm' then
		local function isOnlyMOD(playerid)
		if rp_Adminlevel[playerid] >= 2 then
			return true
		end
			return false
		end
		if isOnlyMOD(id) then
			local text = ''
			for i = 2, #p do
				text = text..' '..p[i]
			end
			for _, i in pairs(player(0,'table')) do
				if isOnlyMOD(i) then
					msg2(i,'\169198198198MM | '..player(id,'name')..':'..text)
				end
			end
		else
			rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
		end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	elseif cmd == "!fake" then
		if rp_Adminlevel[id] >= fake_lv then
			local pl = tonumber(p[2])
			if pl ~= nil and player(pl,"exists") then
				if player(pl,"health") >= 0 then
					for i = 1,28 do
						msg2(id,string.char(169))
					end
					fakeplayer[pl].image = image("gfx/fake.jpg", 320, 240, 2, pl)
					parse("sv_sound2 " .. pl .. " \"wpn_moveselect.wav\"")
					fakeplayer[pl].shown = true
				else
					rp_msg2(id,"255255000","[Server]: \169255000000This player is dead.")
				end
			else
				rp_msg2(id,"255255000","[Server]: \169255000000This player does not exist.")
			end
		else
			rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")   
		end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
		elseif cmd == "!lessfrogisgay" then
			if rp_Adminlevel[id]>=5 then
				parse("sv_sound weed/ign.ogg")
				msg("\169255000000Illuminati confirmed...@C")
				parse('hudtxt '..idd..' "\169000255000News: \169255255255Smoke weed everyday!" 0 1')
				parse('hudtxtmove 0 '..idd..' 10000 1000 1')
				parse('hudtxt 31 "\169255255255420 Blaze it" 320 280 1')
				parse('hudtxtalphafade 0 31 5000 0.0')
				parse('hudtxt 32 "sample text" 320 0 1')
				parse('hudtxtmove 0 32 10000 320 1000')
			end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
		elseif cmd == "!help" then
			rp_help(id)
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
		elseif cmd == "!slapme" then
				parse("slap "..id)
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
		elseif cmd == "!rs" then
			parse("setscore "..id.." 0")
			parse("setdeaths "..id.." 0")
			msg2(id,"\169255255000[Server]: \169000255000Score reset.")
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
		elseif cmd == "!lockdown" then
			if rp_Adminlevel[id]>=lockdown_lv then
				parse("sv_password 99153")
				parse("sv_name vC | Roleplay | Maintenance")
				for pl=1,32 do
					if rp_Adminlevel[pl]<5 then
						parse("kick "..pl)
					end
				end
			else
				rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
			end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
		elseif cmd =="!fixhud" then
			if rp_Adminlevel[id]>=fixhud_lv then
				UpdateHudImages(id)
			else
				rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
			end
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--[[
		elseif cmd == "!siren" then
		if rp_Adminlevel[id] >= siren_lv then
			if pl_have_vehicle2[id]==1 then
				if siren[id]==1 then siren[id]=0 else siren[id]=1 end
			else
				rp_msg2(id,"255255000","[Server]: \169255000000You are not in a police car.")
			end
		else
			rp_msg2(id,"255255000","[Server]: \169255000000You don't have permission.")
		end
]]
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
		elseif cmd == "!sayto" then
		elseif cmd == "!sp" then
		elseif cmd == "!spo" then
		elseif cmd == "!news" then
		elseif cmd == "!report" then
	else
		rp_msg2(id,"255255000","[Server Error]: \169255000000<"..txt.."> is a unknown command, use !help instead.")	
	end
end		

function unmute(pl)
	local pl = tonumber(pl)
	if pl ~= nil then
		if player(pl,"exists") then
			if rp_mute[pl] == true then
				rp_msg("255255000","[Server]: \169000255000"..player(pl,"name").." is no longer muted.")
				rp_mute[pl]=false
			end
		end
	end
end

function rp_help(id)
	if rp_Adminlevel[id]==5 then	--ELITE
		menu(id,"ELITE Page 1@b,Give EXP | !exp <id> <exp>,Update server | !update,Tell news | !news <news>,Make VIP | !vip <id>,Give money | !money <id> <money>,Ban player | !ban <id> <password>,Fake a kick | !fake <id>,Back,Next")
	elseif rp_Adminlevel[id]==4 then	--Admin
		menu(id,"Admin Page 1@b,Make VIP | !vip <id>,Give Money | !money <id> <money>,Ban | !ban <id>,Fake a kick | !fake <id>,Make CT | !ct <id>,Make T | !unct <id>,Change speed | !speed <id> <speed>,Back,Next")
	elseif rp_Adminlevel[id]==3 then	--Supervisor
		menu(id,"Supervisor Page 1@b,Change speed | !speed <id> <speed>,Temp Ban | !tempban <id> <minutes> <password>,Arrest | !arrest <id> <cell>,Free | !free <id>,Become hidden | !hide,Bring everyone | !bringall,Kick | !kick <id> <password,Back,Next")
	elseif rp_Adminlevel[id]==2 then	--Mod
		menu(id,"Mod Page 1@b,Kick | !kick <id> <password>,Slap | !slap <id>,Kill | !kill <id>,Spawn | !spawn <id>,Remove Add-On | !remove <id>,Remove God-Mod | !fix <id>,Go to | !goto <id>,Back,Next")
	elseif rp_Adminlevel[id]==1 then	--Supporter
		menu(id,"Supporter Page 1@b,Send Money | !transfer <ID> <AMOUNT>,Send PM | !sayto <ID> <MSG>,Reset score | !rs,Active Notices | !sp,Deactivate Notices | !spo,Check who is online | !online,Show information | !check <id>,Heal yourself | !heal,VIP Chat | !vm <message>")
	elseif rp_vip[id]==1 and rp_Adminlevel[id]<=0 then	--VIP
		menu(id,"Licensed Page 1@b,Send Money | !transfer <ID> <AMOUNT>,Send PM | !sayto <ID> <MSG>,Reset score | !rs,Active Notices | !sp,Deactivate Notices | !spo,Check who is online | !online,VIP Chat | !vm <message>")
	elseif rp_vip[id]==0 and rp_Adminlevel[id]==0 and rp_license[id]==1 then	--Licensed
		menu(id,"Licensed Page 1@b,Send Money | !transfer <ID> <AMOUNT>,Send PM | !sayto <ID> <MSG>,Reset score | !rs,Active Notices | !sp,Deactivate Notices | !spo")
	elseif rp_vip[id]==0 and rp_Adminlevel[id]==0 and rp_license[id]==0 then	--Citizen
		menu(id,"Citizen Page 1@b,Send Money | !transfer <ID> <AMOUNT>,Send PM | !sayto <ID> <MSG>,Reset score | !rs,Active Notices | !sp,Deactivate Notices | !spo")
	end
end

function SaveUserStat(id,UsgnID)
	file = io.open("sys/lua/IF/User data/"..UsgnID..'.txt', "w+") or io.tmpfile()
	local text = ""
	text = tostring(rp_money[id])
	text = text .." "..rp_license[id]
	if rp_arrest[id]==true then
		text = text .." 1"
	else
		text = text .." 0"
	end
	text = text.." "..jtag[id]
	text = text.." "..stag[id]	
	for k, v in ipairs(Addons) do
		text = text .." "..v.FLic[id]
	end
	file:write(text)
	file:close()
end

function LoadUserStat(id,file)
	for line in file:lines() do
		local parses = totable(line)
		local userMoney=tonumber(parses[1])
		if userMoney ~= nil then
			rp_money[id]= userMoney
		end
		if (tonumber(parses[2])~=nil) then
			rp_license[id]=tonumber(parses[2])
		end
		if (tonumber(parses[3]) == 1) then
			rp_arrest[id]=true
		end
		if (tonumber(parses[4])~=nil) then
			jtag[id]=tonumber(parses[4])
		end
		if (tonumber(parses[5])~=nil) then
			stag[id]=tonumber(parses[5])
		end
		local counter=5
		for k, v in ipairs(Addons) do
			counter=counter+1
			local LicItem = tonumber(parses[counter])
			if LicItem~=nil then
				v.FLic[id]=LicItem
			else
				v.FLic[id]=0
			end	
		end
	end
end

function empty(id)
local UsgnID = UsgnIds[id]
	if UsgnID >= 0 then
		SaveUserStat(id,UsgnID)
    end
	rp_license[id]=0
	rp_ct[id]=false
	rp_Adminlevel[id]=0
	rp_arrest[id]=false
	rp_vip[id] = 0
	player_have_pos[id]=false
	tsb[id]=0
	tele_x[id]=800
	tele_y[id]=200
	rp_money[id]=500
	UsgnIds[id]= 0
	rp_vipaddons[id]=0
	rp_NextAddons[id]=0
	vehicle1_tx[id]=0
	vehicle1_ty[id]=0
	vehicle1_x[id]=0
	vehicle1_y[id]=0
	vehicle1_pic[id]=0
	vehicle1_pl_speed[id]=0
	currentvehicle1[id]=0
	pl_have_vehicle1[id]=0
	vehicle1_pl[id]=0
	freeimage(vehicle1_img[id])
	freeimage(vehicle1_img_pos[id])
	vehicle2_tx[id]=0
	vehicle2_ty[id]=0
	vehicle2_x[id]=0
	vehicle2_y[id]=0
	vehicle2_pic[id]=0
	vehicle2_pl_speed[id]=0
	currentvehicle2[id]=0
	pl_have_vehicle2[id]=0
	vehicle2_pl[id]=0
	freeimage(vehicle2_img[id])
	freeimage(vehicle2_img_pos[id])
	vehicle3_tx[id]=0
	vehicle3_ty[id]=0
	vehicle3_x[id]=0
	vehicle3_y[id]=0
	vehicle3_pic[id]=0
	vehicle3_pl_speed[id]=0
	currentvehicle3[id]=0
	pl_have_vehicle3[id]=0
	vehicle3_pl[id]=0
	freeimage(vehicle3_img[id])
	freeimage(vehicle3_img_pos[id])
	x = player(id,"tilex")
	y = player(id,"tiley")
	rp_mute[id]=false
	rp_jailed[id]=0
	rp_doctor[id]= false
	rp_criminal[id] = false
	rp_police[id] = false
	rp_killer[id] = false
	rp_hidden[id]=false
	rp_wanted[id]=false
end

function setmenu(id)
	if rp_Adminlevel[id]>=1 then
		ctmenu(id)
	else
		tmenu(id)
	end
end

function ctmenu(id)
	menu(id,"CT Menu,Server Setup,Teleport,License System,Help,Add-on,VIP,Settings,Jobs Menu,Start Event")
end

function tmenu(id)
	menu(id,"T Menu,Teleport,Add-ons,Add-on Color,VIP Menu,Jobs Menu,More")
end

function createcar1(id)				--first car
	if pl_have_vehicle1[id]==0 then
		if rp_money[id] >= car1_price then
			rp_money[id] = rp_money[id] - car1_price
			updatehud(id)
			vehicle1_img_pos[id]=image("gfx/lord smiley/Vehicles/"..car1..".png",1,1,1)
			imagepos(vehicle1_img_pos[id],player(id,"x"),player(id,"y"),player(id,"rot"))
			imagepos(vehicle1_img_pos[id],player(id,"x"),player(id,"y"),player(id,"rot"))
			vehicle1_tx[id]=player(id,"tilex")
			vehicle1_ty[id]=player(id,"tiley")
			vehicle1_x[id]=player(id,"x")
			vehicle1_y[id]=player(id,"y")
			pl_have_vehicle1[id]=1
		else 
			rp_msg2(id,"255255000","[Server]: \169255000000Not enough money.")
		end	
	elseif pl_have_vehicle1[id]==1 then
		if vehicle1_pic[id]>0 then
			parse("customkill "..id.." Eject "..id)
			parse("explosion "..vehicle1_x[id].." "..vehicle1_y[id].." 100 200 "..id)
			vehicle1_tx[id]=0
			vehicle1_ty[id]=0
			vehicle1_x[id]=0
			vehicle1_y[id]=0
			freeimage(vehicle1_img[id])
		else
			parse("explosion "..vehicle1_x[id].." "..vehicle1_y[id].." 100 200 "..id)
			vehicle1_tx[id]=0
			vehicle1_ty[id]=0
			vehicle1_x[id]=0
			vehicle1_y[id]=0
			freeimage(vehicle1_img_pos[id])
		end
		pl_have_vehicle1[id]=0
	end
end
function createcar2(id)				--ct car
	if pl_have_vehicle2[id]==0 then
		vehicle2_img_pos[id]=image("gfx/lord smiley/Vehicles/"..car2..".png",1,1,1)
		imagepos(vehicle2_img_pos[id],player(id,"x"),player(id,"y"),player(id,"rot"))
		vehicle2_tx[id]=player(id,"tilex")
		vehicle2_ty[id]=player(id,"tiley")
		vehicle2_x[id]=player(id,"x")
		vehicle2_y[id]=player(id,"y")
		pl_have_vehicle2[id]=1
	elseif pl_have_vehicle2[id]==1 then
		if vehicle2_pic[id]>0 then
			parse("customkill "..id.." Eject "..id)
			parse("explosion "..vehicle2_x[id].." "..vehicle2_y[id].." 100 200 "..id)
			vehicle2_tx[id]=0
			vehicle2_ty[id]=0
			vehicle2_x[id]=0
			vehicle2_y[id]=0
			freeimage(vehicle2_img[id])
		else
			parse("explosion "..vehicle2_x[id].." "..vehicle2_y[id].." 100 200 "..id)
			vehicle2_tx[id]=0
			vehicle2_ty[id]=0
			vehicle2_x[id]=0
			vehicle2_y[id]=0
			freeimage(vehicle2_img_pos[id])
		end
		pl_have_vehicle2[id]=0
	end
end

function createcar3(id)				--second car
	if pl_have_vehicle3[id]==0 then
		if rp_money[id] >= car3_price then
			rp_money[id] = rp_money[id] - car3_price
			updatehud(id)
			vehicle3_img_pos[id]=image("gfx/lord smiley/Vehicles/"..car3..".png",1,1,1)
			imagepos(vehicle3_img_pos[id],player(id,"x"),player(id,"y"),player(id,"rot"))
			imagepos(vehicle3_img_pos[id],player(id,"x"),player(id,"y"),player(id,"rot"))
			vehicle3_tx[id]=player(id,"tilex")
			vehicle3_ty[id]=player(id,"tiley")
			vehicle3_x[id]=player(id,"x")
			vehicle3_y[id]=player(id,"y")
			pl_have_vehicle3[id]=1
		else 
			rp_msg2(id,"255255000","[Server]: \169255000000Not enough money.")
		end	
	elseif pl_have_vehicle3[id]==1 then
		if vehicle3_pic[id]>0 then
			parse("customkill "..id.." Eject "..id)
			parse("explosion "..vehicle3_x[id].." "..vehicle3_y[id].." 100 200 "..id)
			vehicle3_tx[id]=0
			vehicle3_ty[id]=0
			vehicle3_x[id]=0
			vehicle3_y[id]=0
			freeimage(vehicle3_img[id])
		else
			parse("explosion "..vehicle3_x[id].." "..vehicle3_y[id].." 100 200 "..id)
			vehicle3_tx[id]=0
			vehicle3_ty[id]=0
			vehicle3_x[id]=0
			vehicle3_y[id]=0
			freeimage(vehicle3_img_pos[id])
		end
		pl_have_vehicle3[id]=0
	end
end

function carmenu(id)
	menu(id,"Buy Cars,BMW X5 | "..car1_price..",Racing Car | "..car3_price..",,,,,,,Back")
end