-- Spawn Protection LUA Script
-- Made by: AmflicKt (USDE - 4161)
-- Message me if u have any problems! Thanks.

--EDIT (07/21/11) - Added the recent notice Feature, you can now enable SP
-- notices by typing " !sp " and it will tell you if the player has spawn
-- protection when you hit him, and for how long. To disable the notices
-- just type " !spo " to completely stop it.


--EDIT (06/21/11) - Fixed a recent bug, now Lazers cannot kill you anymore.
-- Keep up in finding glitches / bugs, thanks!


--EDIT (06/15/11) - Thanks to 'Textual Content' for his idea and remake
--for Players with Spawn protection to not be able to attack.


-- DESC: This Script allows you to have a spawn protection
-- so that you will not die by people as soon as you spawn.
-- You will be invincible for 10 seconds, where your HP will
-- always stay at 100. Once the time expires, you will be
-- vunerable again.


function initArray(m)
local array = {}
for i = 1, m do
array[i]=0
end
return array
end

spawnprotection = initArray(32)
spawninvincible = initArray(32)
spawnnotice = initArray(32)

print("loading ...")
addhook("spawn","ej_spawn_p")	       -- Set / Gives Spawn Protection
addhook("ms100","ej_spawn_p_set")      -- Spawn Protection
addhook("second","ej_spawn_p_time")    -- Spawn Protection Timer
addhook("hit","ej_spawn_p_dmg")        -- Can't Get Dmg with Spawn Protection On ( Fixed Lazers )
addhook("say","ej_spawn_p_true")       -- Enables Spawn Protection notices such as attacking a player with Spawn Protection
addhook("hit","ej_spawn_p_atk")	       -- Spawn Protection Notices

function ej_spawn_p(id)
spawnprotection[id] = 10
	if (spawnprotection[id] > 0) then
	if rp_Adminlevel[id] <= 1 then
		msg2(id,"255255000[Server]: 000255000Spawn Protection is now enabled.")
		spawninvincible[id] = 1
		gmode[id] = 1
	end
end
end


function ej_spawn_p_set()
	for p = 1,32 do
		if (spawninvincible[p] == 1) then
			parse("sethealth "..p.." 100")
			if (spawnprotection[p] == 0) or (spawnprotection[p] <= 0) then
				msg2(p,"255255000[Server]: 255000000Your Spawn Protection is now disabled.")
				spawninvincible[p] = 0
				gmode[p] = 0
			end
		end
	end
end

function ej_spawn_p_dmg(id,source)
	if (spawninvincible[id] == 1) or (spawninvincible[source] == 1) then
		return 1
else
	return 0
	end
end
	

function ej_spawn_p_time()
	for p = 1,32 do
		if (spawninvincible[p] == 1) then
			parse("sethealth "..p.." 100")
			spawnprotection[p] = spawnprotection[p] - 1
		end
	end
end


function ej_spawn_p_true(id,words)
	if words == ("!sp") and ( spawnnotice[id] == 0 ) then
		spawnnotice[id] = 1
		msg2(id,"200200200Spawn Protection notices have been enabled.")
	end
	if words == ("!spo") and ( spawnnotice[id] == 1 ) then
		spawnnotice[id] = 0
		msg2(id,"170170170Spawn Protection notices have been disabled.")
	end
end


function ej_spawn_p_atk(id,source)
	if ( spawnnotice[source] == 1 ) then
		if ( spawninvincible[id] == 1 ) then
			msg2(source,"235235235"..player(id,"name").." has Spawn Protection for "..spawnprotection[id].." seconds.")
		end
	end
end

print("Loading Finished: Launching Spawn Protection Script by AmflicKt")