addhook("spawn","job_spawn")
addhook("join","job_join")
addhook("leave","job_leave")

function job_spawn(id)
	tpjob(id)
	rp_killer[id]=false
	rp_jailed[id]=false
end

function job_leave(id)
	rp_killer[id]=false
	rp_police[id]=false
	rp_doctor[id]=false
	rp_criminal[id]=false
end

function job_join(id)
	rp_killer[id]=false
	parse('hudtxt2 '..id..' "30" "\169255255255-Job: NONE" "230" "430"')
end

jail_pos = {
	[1] = {179, 2188},
	[2] = {339, 2188},
	[3] = {499, 2188}
}

ids_in_jail = {}
jail_time = 6

function jail(id) -- here, you jail someone
	tp_random = math.random(1,#jail_pos)
	if rp_killer[id] == true then 
		if tp_random == 1 then
			parse("setpos "..id.." "..jail_pos[1][1].." "..jail_pos[1][2])
			addJail(id)
		elseif tp_random == 2 then
			parse("setpos "..id.." "..jail_pos[2][1].." "..jail_pos[2][2])
			addJail(id)
		elseif tp_random == 3 then
			parse("setpos "..id.." "..jail_pos[3][1].." "..jail_pos[3][2])
			addJail(id)
		end
	end
end

function addJail(id)
	rp_jailed[id]=true
	rp_killer[id]=false
	timer(30000,"removeJail",id)
	timer(30000,"test",id)
	msg2(id,"\169255255000[Server]: \169255000000You are arrested for 30 seconds.@C")
end

function removeJail(id)
	rp_jailed[id]=false
	parse('setpos '..id..' 843 173')
end

function test(id)
	rp_jailed[id]=false
end

addhook("movetile","job_movetile")
function job_movetile(id,x,y)
	if player(id,"x")==843 and player(id,"y")==173 then
		rp_jailed[id]=false
	end
end